/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.12-dev21
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';
/**
* Enum class OrderTypeValues.
* @enum {}
* @readonly
*/
export default class OrderTypeValues {
    
        /**
         * value: "limit"
         * @const
         */
        "limit" = "limit";

    
        /**
         * value: "market"
         * @const
         */
        "market" = "market";

    

    /**
    * Returns a <code>OrderTypeValues</code> enum value from a Javascript object name.
    * @param {Object} data The plain JavaScript object containing the name of the enum value.
    * @return {module:model/OrderTypeValues} The enum <code>OrderTypeValues</code> value.
    */
    static constructFromObject(object) {
        return object;
    }
}

